package sp.senai.br.projetojuema;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

public class SegundaActivity extends AppCompatActivity {
    TextView tvInformacao,tvRegra;
    Button btnVoltar;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_segunda);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });
        tvInformacao = findViewById(R.id.tvInformacao);
        tvRegra      = findViewById(R.id.tvRegra);
        btnVoltar    = findViewById(R.id.btnVoltar);

        String regrasDoJogo = "📄 Regras do Jogo: Pedra, Papel e Tesoura\n\n" +
                "O jogo Pedra, Papel e Tesoura é um clássico jogo de sorte e estratégia, normalmente jogado entre duas pessoas. Cada jogador escolhe uma das três opções disponíveis: Pedra, Papel ou Tesoura.\n\n" +
                "As jogadas são feitas ao mesmo tempo, e o resultado depende das seguintes regras:\n" +
                "• Pedra quebra a Tesoura → Pedra vence\n" +
                "• Tesoura corta o Papel → Tesoura vence\n" +
                "• Papel cobre a Pedra → Papel vence\n\n" +
                "Se ambos os jogadores escolherem a mesma opção, o resultado é um empate.\n\n\n" +
                "🎯 Objetivo\n" +
                "O objetivo é vencer mais rodadas que o adversário, fazendo escolhas estratégicas ou contando com a sorte.";

        tvRegra.setText(regrasDoJogo);
    }
    public void voltar(View v) {
        finish();
    }
}